最近のAPIアクティビティを一覧表示
curl --request GET \
--url https://api.firecrawl.dev/v2/team/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v2/team/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v2/team/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firecrawl.dev/v2/team/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.firecrawl.dev/v2/team/activity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.firecrawl.dev/v2/team/activity")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firecrawl.dev/v2/team/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cursor": "<string>",
"data": [
{
"api_version": "v1",
"created_at": "2023-11-07T05:31:56Z",
"endpoint": "scrape",
"id": "<string>",
"target": "<string>"
}
],
"has_more": true,
"success": true
}アカウントエンドポイント
アクティビティ
過去24時間におけるチームのAPIアクティビティを一覧表示します。各jobのメタデータ(job IDを含む)を返します。job IDは、対応するGET endpoint(例: GET /crawl/)を使って完全な結果を取得する際に使用できます。カーソルベースのページネーションと、endpointによる絞り込みに対応しています。
GET
/
team
/
activity
最近のAPIアクティビティを一覧表示
curl --request GET \
--url https://api.firecrawl.dev/v2/team/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firecrawl.dev/v2/team/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firecrawl.dev/v2/team/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firecrawl.dev/v2/team/activity",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.firecrawl.dev/v2/team/activity"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.firecrawl.dev/v2/team/activity")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firecrawl.dev/v2/team/activity")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cursor": "<string>",
"data": [
{
"api_version": "v1",
"created_at": "2023-11-07T05:31:56Z",
"endpoint": "scrape",
"id": "<string>",
"target": "<string>"
}
],
"has_more": true,
"success": true
}過去24時間のAPIアクティビティの一覧を表示します。ジョブIDの特定に使用し、対応する GET エンドポイントで結果を取得できます。
| Endpoint | 取得エンドポイント |
|---|---|
scrape | GET /v2/scrape/{id} |
crawl | GET /v2/crawl/{id} |
batch_scrape | GET /v2/batch/scrape/{id} |
agent | GET /v2/agent/{jobId} |
チーム管理エンドポイント
| オペレーション | API パス | ドキュメントページ |
|---|---|---|
| チームのアクティビティ | GET /v2/team/activity | activity |
| クレジット使用量 | GET /v2/team/credit-usage | credit-usage |
| クレジット使用量 (履歴) | GET /v2/team/credit-usage/historical | credit-usage-historical |
| キューのステータス | GET /v2/team/queue-status | queue-status |

